升级后Simple Tags插件不能用

博客升级到了wordpress 2.9版本,升级之后登陆后台,发现提示Simple Tags插件无法启用,以前在前台显示的标签也全都消失了。很早就听说WordPress 2.9不兼容很多插件,但是我还是抱着侥幸的心里升级了,那些不兼容的插件没准不会被我碰到,谁曾想,后台最重要的Simple Tags插件竟然无法启用。Simple Tags插件的最新版本是1.6.6版,之后作者再也没有更新,作者声称1.6.6版只兼容到2.7,但是WordPress 2.8版本依然可以使用。后来在网上搜索了一下,很快找到了解决方法:打开插件目录下的simple-tags.php文件

if ( strpos($wp_version, '2.7') !== false || strpos($wp_version, '2.8') !== false )

变更为

if ( strpos($wp_version, '2.7') !== false || strpos($wp_version, '2.9') !== false )

绕开版本的检测即可,测试正常,可以放心使用。

点赞
  1. 万戈说道:
    Firefox Windows XP

    哦耶,我已经改好啦

  2. keelii说道:
    Firefox Windows 7

    没用过这插件。

  3. 彼岸苏安说道:
    Firefox Ubuntu 9.10

    我试试看阿!!呵呵

  4. TCP/IP说道:
    TT Explorer Windows Server 2003

    申请友链,网址:http://tcpip.info-weblog.org,PR=2,QQ:23111055

  5. 苏囧说道:
    Internet Explorer Windows XP

    我也来看看。。。
    元旦快乐。。。

  6. 少爷说道:
    Firefox Windows XP

    的确不兼容,幸好我没用这款插件。

  7. 我轻轻地来了,留了个脚印!

  8. xiang说道:
    Internet Explorer Windows XP

    我来了,呵呵

  9. 小影说道:
    Internet Explorer Windows 7

    我也为此困然呢,谢了~祝博主新年快乐 :smile:

  10. 漠天说道:
    Internet Explorer Windows XP

    以前用过,但是我的博客对标签没严格的要求。

  11. 珍井坊说道:

    深更半夜睡不着,来看看博主的文章,呵呵,有时间也记得会放下我司小站。www.99187.cn 刚做,博主不要笑话。

  12. Jutoy说道:
    Google Chrome Windows Vista

    我今天也刚升级了,2.9好像有几个BUG呢

  13. 颓废说道:
    Internet Explorer Windows XP

    我的博客也是wp,基本属于裸奔。

  14. 97sese.com说道:
    Internet Explorer Windows XP

    哈,我的也是

  15. 老杨说道:
    Firefox Windows 7

    不兼容,不升级

发表评论

电子邮件地址不会被公开。必填项已用 * 标注